## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global npm_scope emacs-eask
%global npm_name  cli

Name:           eask
Version:        0.10.2
Release:        %{autorelease}
Summary:        Emacs Lisp dependency manager
License:        GPL-3.0-or-later AND ISC AND MIT
URL:            https://github.com/emacs-eask/cli
Source0:        https://registry.npmjs.org/@%{npm_scope}/%{npm_name}/-/%{npm_name}-%{version}.tgz
Source1:        @%{npm_scope}-%{npm_name}-%{version}-nm-prod.tgz
Source3:        @%{npm_scope}-%{npm_name}-%{version}-bundled-licenses.txt

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-devel

Requires:       nodejs
Recommends:     emacs(bin)


%description
CLI for building, running, testing, and managing your Emacs Lisp dependencies.


%prep
%autosetup -n package

cp %{SOURCE3} .

# Set up bundled runtime (prod) node modules
tar xfz %{SOURCE1}
mkdir -p node_modules
pushd node_modules
ln -s ../node_modules_prod/* .
ln -s ../node_modules_prod/.bin .
popd


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{name}
cp -pr package.json cmds lisp src %{buildroot}%{nodejs_sitelib}/%{name}/

# Copy over bundled nodejs modules
cp -pr node_modules node_modules_prod %{buildroot}%{nodejs_sitelib}/%{name}/

install -p -D -m0755 %{name} %{buildroot}%{nodejs_sitelib}/%{name}/%{name}
mkdir -p %{buildroot}%{_bindir}
ln -sr %{buildroot}%{nodejs_sitelib}/%{name}/%{name} \
   %{buildroot}%{_bindir}/%{name}


%check
%{buildroot}%{_bindir}/%{name} --version


%files
%doc README.md
%license COPYING @%{npm_scope}-%{npm_name}-%{version}-bundled-licenses.txt
%{_bindir}/%{name}
%{nodejs_sitelib}/%{name}/


%changelog
## START: Generated by rpmautospec
* Sat Dec 21 2024 Peter Oliver <git@mavit.org.uk> - 0.10.2-2
- Uncommitted changes

* Fri Dec 20 2024 Peter Oliver <git@mavit.org.uk> - 0.10.2-1
- Initial package.
## END: Generated by rpmautospec
